Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class NetworkType

`java.lang.Object
oracle.ovs.api.datamodel.NetworkType`

All Implemented Interfaces:
  java.io.Serializable

      public class NetworkType

extends java.lang.Object
implements java.io.Serializable

Network type data model.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `_NETWORKTYPE_AUTO`
`static java.lang.String` | `_NETWORKTYPE_IOEMU`
`static java.lang.String` | `_NETWORKTYPE_NETFRONT`
`static NetworkType` | `AUTO`
`static NetworkType` | `IOEMU`
`static NetworkType` | `NETFRONT`

Constructor Summary
`` | `NetworkType()`
`protected` | `NetworkType(java.lang.String networkType)`

Method Summary
`boolean` | `equals(NetworkType oNetworkType)`
`java.lang.String` | `getNetworkType()`
`void` | `setNetworkType(java.lang.String networkType)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _NETWORKTYPE_NETFRONT

    public static final java.lang.String _NETWORKTYPE_NETFRONT

  See Also:
    Constant Field Values

### _NETWORKTYPE_IOEMU

    public static final java.lang.String _NETWORKTYPE_IOEMU

  See Also:
    Constant Field Values

### _NETWORKTYPE_AUTO

    public static final java.lang.String _NETWORKTYPE_AUTO

  See Also:
    Constant Field Values

### IOEMU

    public static final NetworkType IOEMU

### NETFRONT

    public static final NetworkType NETFRONT

### AUTO

    public static final NetworkType AUTO

Constructor Detail

### NetworkType

    public NetworkType()

### NetworkType

    protected NetworkType(java.lang.String networkType)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(NetworkType oNetworkType)

### setNetworkType

    public void setNetworkType(java.lang.String networkType)

### getNetworkType

    public java.lang.String getNetworkType()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.